## pigz 2.1.4

=== Makefile ===
CFLAGS=-O2

pigz: pigz.o yarn.o
	cc -o pigz pigz.o yarn.o -lpthread -lz

pigz.o: pigz.c yarn.h

yarn.o: yarn.c yarn.h

dev: pigz pigzt pigzn

pigzt: pigzt.o yarnt.o
	cc -o pigzt pigzt.o yarnt.o -lpthread -lz

pigzt.o: pigz.c yarn.h
	cc -Wall -O3 -DDEBUG -g -c -o pigzt.o pigz.c

yarnt.o: yarn.c yarn.h
	cc -Wall -O3 -DDEBUG -g -c -o yarnt.o yarn.c

pigzn: pigzn.o
	cc -o pigzn pigzn.o -lz

pigzn.o: pigz.c
	cc -Wall -O3 -DDEBUG -DNOTHREAD -g -c -o pigzn.o pigz.c

clean:
	rm -f *.o pigz pigzn pigzt

## pigz 2.1.5

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 pigz: pigz.o yarn.o
 	cc -o pigz pigz.o yarn.o -lpthread -lz
+	ln -f pigz unpigz
 
 pigz.o: pigz.c yarn.h
 
@@ -24,5 +25,18 @@
 pigzn.o: pigz.c
 	cc -Wall -O3 -DDEBUG -DNOTHREAD -g -c -o pigzn.o pigz.c
 
+test: pigz
+	./pigz -kf pigz.c ; ./pigz -t pigz.c.gz
+	./pigz -kfb 32 pigz.c ; ./pigz -t pigz.c.gz
+	./pigz -kfp 1 pigz.c ; ./pigz -t pigz.c.gz
+	./pigz -kfz pigz.c ; ./pigz -t pigz.c.zz
+	./pigz -kfK pigz.c ; ./pigz -t pigz.c.zip
+	compress -f < pigz.c | ./unpigz | cmp - pigz.c
+	rm -f pigz.c.gz pigz.c.zz pigz.c.zip
+
+tests: dev test
+	./pigzn -kf pigz.c ; ./pigz -t pigz.c.gz
+	rm -f pigz.c.gz
+
 clean:
-	rm -f *.o pigz pigzn pigzt
+	rm -f *.o pigz unpigz pigzn pigzt pigz.c.gz pigz.c.zz pigz.c.zip

## pigz 2.2.3

=== Makefile ===
CC=cc
CFLAGS=-O3 -Wall -Wextra

pigz: pigz.o yarn.o
	$(CC) -o pigz pigz.o yarn.o -lpthread -lz
	ln -f pigz unpigz

pigz.o: pigz.c yarn.h

yarn.o: yarn.c yarn.h

dev: pigz pigzt pigzn

pigzt: pigzt.o yarnt.o
	$(CC) -o pigzt pigzt.o yarnt.o -lpthread -lz

pigzt.o: pigz.c yarn.h
	$(CC) -Wall -O3 -DDEBUG -g -c -o pigzt.o pigz.c

yarnt.o: yarn.c yarn.h
	$(CC) -Wall -O3 -DDEBUG -g -c -o yarnt.o yarn.c

pigzn: pigzn.o
	$(CC) -o pigzn pigzn.o -lz

pigzn.o: pigz.c
	$(CC) -Wall -O3 -DDEBUG -DNOTHREAD -g -c -o pigzn.o pigz.c

test: pigz
	./pigz -kf pigz.c ; ./pigz -t pigz.c.gz
	./pigz -kfb 32 pigz.c ; ./pigz -t pigz.c.gz
	./pigz -kfp 1 pigz.c ; ./pigz -t pigz.c.gz
	./pigz -kfz pigz.c ; ./pigz -t pigz.c.zz
	./pigz -kfK pigz.c ; ./pigz -t pigz.c.zip
	printf "" | ./pigz -cdf | wc -c | test `cat` -eq 0
	printf "x" | ./pigz -cdf | wc -c | test `cat` -eq 1
	printf "xy" | ./pigz -cdf | wc -c | test `cat` -eq 2
	printf "xyz" | ./pigz -cdf | wc -c | test `cat` -eq 3
	(printf "w" | gzip ; printf "x") | ./pigz -cdf | wc -c | test `cat` -eq 2
	(printf "w" | gzip ; printf "xy") | ./pigz -cdf | wc -c | test `cat` -eq 3
	(printf "w" | gzip ; printf "xyz") | ./pigz -cdf | wc -c | test `cat` -eq 4
	compress -f < pigz.c | ./unpigz | cmp - pigz.c
	rm -f pigz.c.gz pigz.c.zz pigz.c.zip

tests: dev test
	./pigzn -kf pigz.c ; ./pigz -t pigz.c.gz
	rm -f pigz.c.gz

docs: pigz.pdf

pigz.pdf: pigz.1
	groff -mandoc -f H -T ps pigz.1 | ps2pdf - pigz.pdf

clean:
	rm -f *.o pigz unpigz pigzn pigzt pigz.c.gz pigz.c.zz pigz.c.zip

=== debian/changelog ===
pigz (2.2.3-1) unstable; urgency=low

  * New upstream release (closes: #659248)
  * Policy version bump, also using format 3.0 (quilt) and xz compression

 -- Eduard Bloch <blade@debian.org>  Sat, 11 Feb 2012 01:10:06 +0100

pigz (2.1.6-1) unstable; urgency=low

  * New upstream release (closes: #573310)

 -- Eduard Bloch <blade@debian.org>  Wed, 10 Mar 2010 18:26:21 +0100

pigz (2.1.5-1) unstable; urgency=low

  * New upstream release (implemented most of local modifications)

 -- Eduard Bloch <blade@debian.org>  Thu, 14 Jan 2010 20:48:17 +0100

pigz (2.1.4-1) unstable; urgency=low

  * Initial release (closes: #510624)
  * Using sysconf(_SC_NPROCESSORS_ONLN) to set a default number of
    compressing threads rather than default value (8).
  * Changes -s option to -S to be compatible with gzip

 -- Eduard Bloch <blade@debian.org>  Thu, 08 Jan 2009 20:58:27 +0100

=== debian/control ===
Source: pigz
Section: utils
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 7), zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://zlib.net/pigz/

Package: pigz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parallel Implementation of GZip
 pigz, which stands for Parallel Implementation of GZip, is a fully functional
 replacement for gzip that takes advantage of multiple processors and multiple
 cores when compressing data.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	cp pigz $(CURDIR)/debian/pigz/usr/bin

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman debian/pigz.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pigz 2.2.4

=== debian/changelog ===
pigz (2.2.4-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Remove debian/source/options and modify debian/rules to compress with gz.
  * Add myself to uploaders. 

 -- Holger Levsen <holger@debian.org>  Sun, 03 Mar 2013 11:16:17 +0000

pigz (2.2.4-3) unstable; urgency=low

  * removed hardening flags, this build is targeting Wheezy

 -- Eduard Bloch <blade@debian.org>  Thu, 28 Feb 2013 20:16:03 +0100

pigz (2.2.4-2) unstable; urgency=high

  * Use 600 permissions for unfinished output files (CVE-2013-0296,
    closes: #700608)
  * started applying Debian hardening flags

 -- Eduard Bloch <blade@debian.org>  Sat, 23 Feb 2013 13:44:42 +0100

pigz (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Using upstream manual page (closes: #520617)
  * Creating unpigz hardlink and related manpage link (closes: #661791)
  * Removed using_standard_format_macros patch (superseded by upstream change)

 -- Eduard Bloch <blade@debian.org>  Tue, 08 May 2012 22:59:22 +0200

=== debian/control ===
Source: pigz
Section: utils
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Uploaders: Holger Levsen <holger@debian.org>
Build-Depends: debhelper (>= 7), zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://zlib.net/pigz/

Package: pigz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: Parallel Implementation of GZip
 pigz, which stands for Parallel Implementation of GZip, is a fully functional
 replacement for gzip that takes advantage of multiple processors and multiple
 cores when compressing data.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,8 @@
 	dh_testroot
 	dh_prep  
 	dh_installdirs
-	cp pigz $(CURDIR)/debian/pigz/usr/bin
+	cp -l pigz $(CURDIR)/debian/pigz/usr/bin
+	cp -l pigz $(CURDIR)/debian/pigz/usr/bin/unpigz
 
 binary-indep: install
 
@@ -37,16 +38,17 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-	dh_installman debian/pigz.1
+	dh_installman pigz.1
 	dh_link
 	dh_strip
 	dh_compress
+	ln debian/pigz/usr/share/man/man1/pigz.1.gz debian/pigz/usr/share/man/man1/unpigz.1.gz
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb -- -Zxz
+	dh_builddeb
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## pigz 2.3

=== debian/changelog ===
pigz (2.3-2) unstable; urgency=low

  * Unstable upload
  * Editorial changes (policy version update, watch file from bartm)

 -- Eduard Bloch <blade@debian.org>  Sun, 04 Aug 2013 01:26:09 +0200

pigz (2.3-1) experimental; urgency=low

  * New upstream release
  * restored Debian hardening flags inclusion, also fixes linking with libm
    (minor upstream bug)
  * Use locally defined buffer size instead of PATH_MAX (hurd porting)

 -- Eduard Bloch <blade@debian.org>  Sun, 17 Mar 2013 11:10:42 +0100

pigz (2.2.5-1) experimental; urgency=low

  * New upstream version (includes fix of #700608, removed our patch)

 -- Eduard Bloch <blade@debian.org>  Fri, 01 Mar 2013 21:23:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Eduard Bloch <blade@debian.org>
-Uploaders: Holger Levsen <holger@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://zlib.net/pigz/
 
 Package: pigz

## pigz 2.3.1

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), zlib1g-dev, quilt
+Standards-Version: 3.9.5
 Homepage: http://zlib.net/pigz/
 
 Package: pigz

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with quilt

override_dh_install:
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	cp -l pigz $(CURDIR)/debian/pigz/usr/bin
	cp -l pigz $(CURDIR)/debian/pigz/usr/bin/unpigz
	dh_installman pigz.1
	ln -sf pigz.1.gz debian/pigz/usr/share/man/man1/unpigz.1.gz

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://zlib.net/pigz/ (?:.*/)?pigz[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sun, 30 Dec 2012 12:41:02 +0000

## pigz 2.4

=== debian/changelog ===
pigz (2.4-1) unstable; urgency=medium

  * New upstream release
  * Added instructions for setting pigz as gzip replacement (closes: #518583)
  * Policy update (changing Priority to optional)

 -- Eduard Bloch <blade@debian.org>  Wed, 27 Dec 2017 20:41:06 +0100

pigz (2.3.4-1) unstable; urgency=low

  * New upstream version
  * Policy standards update (no changes required)

 -- Eduard Bloch <blade@debian.org>  Wed, 05 Oct 2016 20:10:17 +0200

pigz (2.3.3-2) unstable; urgency=low

  * Unstable upload

 -- Eduard Bloch <blade@debian.org>  Thu, 10 Sep 2015 19:38:24 +0200

pigz (2.3.3-1) experimental; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Jan 2015 19:07:46 +0100

pigz (2.3.1-2) unstable; urgency=high

  * Patch(es) from upstream's SCM to solve handling of target file names with
    the -N option (CVE-2015-1191, closes: #774978)

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Jan 2015 23:58:51 +0100

pigz (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * Changed rules to dh(9), policy reference update, removed patch for LDFLAGS
    and libm usage (fixed by upstream)

 -- Eduard Bloch <blade@debian.org>  Fri, 02 May 2014 17:29:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pigz
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 9), zlib1g-dev, quilt
-Standards-Version: 3.9.5
+Standards-Version: 4.1.2
 Homepage: http://zlib.net/pigz/
 
 Package: pigz

## pigz 2.6

=== debian/changelog ===
pigz (2.6-1) unstable; urgency=medium

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 06 Feb 2021 13:44:06 +0100

pigz (2.5-1) unstable; urgency=low

  * New upstream release
  * Policy version update (4.5.1.0), DH version update (10)

 -- Eduard Bloch <blade@debian.org>  Sun, 24 Jan 2021 21:29:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev, quilt
-Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 10), zlib1g-dev, quilt
+Standards-Version: 4.5.1.0
 Homepage: http://zlib.net/pigz/
+Vcs-Browser: https://salsa.debian.org/blade/pigz
+Vcs-Git: https://salsa.debian.org/blade/pigz.git
 
 Package: pigz
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,15 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+-include /usr/share/quilt/quilt.make
+
 %:
-	dh $@ --parallel --with quilt
+	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- LDFLAGS="-lz $(LDFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"
 
 override_dh_install:
 	dh_testdir

## pigz 2.8

=== debian/changelog ===
pigz (2.8-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 17 Dec 2025 21:23:53 +0000

pigz (2.8-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Tue, 22 Aug 2023 21:47:50 +0200
